import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const estimate = await conductor.qbd.estimates.delete('123ABC-1234567890', {
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(estimate.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
estimate = conductor.qbd.estimates.delete(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(estimate.id)curl --request DELETE \
--url https://api.conductor.is/v1/quickbooks-desktop/estimates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"id": "123ABC-1234567890",
"objectType": "qbd_estimate",
"refNumber": "EST-1234",
"deleted": true
}Delete an estimate
Permanently deletes an estimate. The deletion will fail if the estimate is currently in use or has any linked transactions that are in use.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const estimate = await conductor.qbd.estimates.delete('123ABC-1234567890', {
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(estimate.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
estimate = conductor.qbd.estimates.delete(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(estimate.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the estimate to delete.
36"123ABC-1234567890"
Response
Returns a confirmation of the deletion with the ID of the deleted estimate.
The QuickBooks-assigned unique identifier of the deleted estimate.
"123ABC-1234567890"
The type of object. This value is always "qbd_estimate".
"qbd_estimate""qbd_estimate"
The case-sensitive user-defined reference number of the deleted estimate.
"EST-1234"
Indicates whether the estimate was deleted.
true

